<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:resources.j2c="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.j2c.xmi" xmlns:resources.jdbc="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jdbc.xmi" xmlns:resources.jms="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jms.xmi" xmlns:resources.mail="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.mail.xmi" xmlns:resources.url="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.url.xmi">
  <resources.jms:JMSProvider xmi:id="builtin_mqprovider" name="WebSphere MQ JMS Provider" description="WebSphere MQ Messaging Provider" externalInitialContextFactory="" externalProviderURL=""/>
  <resources.j2c:J2CResourceAdapter xmi:id="builtin_rra" name="WebSphere Relational Resource Adapter" description="Built-in Relational Resource Adapter for WebSphere Persistence" archivePath="${WAS_LIBS_DIR}/rsadapter.rar">
    <classpath>${WAS_LIBS_DIR}/rsadapter.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_8">
      <resourceProperties xmi:id="J2EEResourceProperty_1095099855682" name="InactiveConnectionSupport" type="java.lang.Boolean" value="true" description="Specify whether connection handles support implicit reactivation. (Smart Handle support). Value may be &quot;true&quot; or &quot;false&quot;."/>
      <resourceProperties xmi:id="J2EEResourceProperty_1095099855683" name="TransactionResourceRegistration" type="java.lang.String" value="dynamic" description="Type of transaction resource registration (enlistment).  Valid values are either &quot;static&quot; (immediate) or &quot;dynamic&quot; (deferred)."/>
    </propertySet>
    <deploymentDescriptor xmi:id="Connector_1054132487569" displayName="WS_RdbResourceAdapter" vendorName="IBM" specVersion="1.0" eisType="RRA" version="6.0">
      <icons xmi:id="IconType_1054132487569" smallIcon="rdb_small_icon.jpg" largeIcon="rdb_large_icon.jpg"/>
      <displayNames xmi:id="DisplayName_1054132487569" value="WS_RdbResourceAdapter"/>
      <descriptions xmi:id="Description_1054132487569" value="IBM Relational ResourceAdapter"/>
      <license xmi:id="License_1054132487569" description="IBM Relational ResourceAdapter" required="false"/>
      <resourceAdapter xmi:id="ResourceAdapter_1054132487569" managedConnectionFactoryClass="com.ibm.ws.rsadapter.spi.WSManagedConnectionFactoryImpl" connectionFactoryInterface="javax.resource.cci.ConnectionFactory" connectionFactoryImplClass="com.ibm.ws.rsadapter.cci.WSRdbConnectionFactoryImpl" connectionInterface="javax.resource.cci.Connection" connectionImplClass="com.ibm.ws.rsadapter.cci.WSRdbConnectionImpl" transactionSupport="XATransaction" reauthenticationSupport="false">
        <authenticationMechanisms xmi:id="AuthenticationMechanism_1054132487589" description="BasicPassword authentication" authenticationMechanismType="BasicPassword" credentialInterface="javax.resource.spi.security.PasswordCredential"/>
        <authenticationMechanisms xmi:id="AuthenticationMechanism_1054132487590" description="Kerbv5 Authentication" authenticationMechanismType="Kerbv5" credentialInterface="javax.resource.spi.security.GenericCredential"/>
      </resourceAdapter>
    </deploymentDescriptor>
  </resources.j2c:J2CResourceAdapter>
  <resources.mail:MailProvider xmi:id="builtin_mailprovider" name="Built-in Mail Provider" description="The built-in mail provider">
    <protocolProviders xmi:id="builtin_smtp" protocol="smtp" classname="com.sun.mail.smtp.SMTPTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3" protocol="pop3" classname="com.sun.mail.pop3.POP3Store" type="STORE"/>
    <protocolProviders xmi:id="builtin_imap" protocol="imap" classname="com.sun.mail.imap.IMAPStore" type="STORE"/>
    <protocolProviders xmi:id="builtin_smtps" protocol="smtps" classname="com.sun.mail.smtp.SMTPSSLTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3s" protocol="pop3s" classname="com.sun.mail.pop3.POP3SSLStore" type="STORE"/>
    <protocolProviders xmi:id="builtin_imaps" protocol="imaps" classname="com.sun.mail.imap.IMAPSSLStore" type="STORE"/>
  </resources.mail:MailProvider>
  <resources.url:URLProvider xmi:id="URLProvider_1" name="Default URL Provider" streamHandlerClassName="unused" protocol="unused"/>
  <resources.jdbc:JDBCProvider xmi:id="builtin_jdbcprovider" name="Derby JDBC Provider (XA)" description="Built-in Derby JDBC Provider (XA)" providerType="Derby JDBC Provider (XA)" implementationClassName="org.apache.derby.jdbc.EmbeddedXADataSource" xa="true">
    <classpath>${DERBY_JDBC_DRIVER_PATH}/derby.jar</classpath>
  </resources.jdbc:JDBCProvider>
  <resources.j2c:J2CResourceAdapter xmi:id="J2CResourceAdapter_1357344675434" name="SIB JMS Resource Adapter" description="Default messaging provider" archivePath="${WAS_INSTALL_ROOT}/installedConnectors/sib.api.jmsra.rar" threadPoolAlias="SIBJMSRAThreadPool">
    <classpath>${WAS_INSTALL_ROOT}/installedConnectors/sib.api.jmsra.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_1357344675434"/>
    <deploymentDescriptor xmi:id="Connector_1357344675434" displayName="WebSphere Default Messaging Provider" vendorName="IBM" specVersion="1.5" eisType="JMS Provider" version="0.3">
      <displayNames xmi:id="DisplayName_1357344675434" value="WebSphere Default Messaging Provider"/>
      <displayNames xmi:id="DisplayName_1357344675435" value="WebSphere Default Messaging Provider"/>
      <resourceAdapter xmi:id="ResourceAdapter_1357344675434" transactionSupport="NoTransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaResourceAdapterImpl">
        <outboundResourceAdapter xmi:id="OutboundResourceAdapter_1357344675434" reauthenticationSupport="false" transactionSupport="XATransaction">
          <connectionDefinitions xmi:id="ConnectionDefinition_1357344675434" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedQueueConnectionFactoryImpl" connectionFactoryInterface="javax.jms.QueueConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsQueueConnFactoryImpl" connectionInterface="javax.jms.QueueConnection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsQueueConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1357344675434" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675435" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675436" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675437" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675438" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675439" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675440" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1357344675441" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675442" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1357344675443" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1357344675444" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675445" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675446" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675447" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1357344675448" name="TemporaryQueueNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675449" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675450" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675451" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <connectionDefinitions xmi:id="ConnectionDefinition_1357344675435" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedTopicConnectionFactoryImpl" connectionFactoryInterface="javax.jms.TopicConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsTopicConnFactoryImpl" connectionInterface="javax.jms.TopicConnection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsTopicConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1357344675452" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675453" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675454" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675455" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675456" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675457" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675458" name="DurableSubscriptionHome" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675459" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1357344675460" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675461" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1357344675462" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1357344675463" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675464" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675465" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675466" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1357344675467" name="TemporaryTopicNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675468" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675469" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster"/>
            <configProperties xmi:id="ConfigProperty_1357344675470" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675471" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <connectionDefinitions xmi:id="ConnectionDefinition_1357344675436" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedConnectionFactoryImpl" connectionFactoryInterface="javax.jms.ConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsConnFactoryImpl" connectionInterface="javax.jms.Connection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1357344675472" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675473" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675474" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675475" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675476" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675477" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675478" name="DurableSubscriptionHome" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675479" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1357344675480" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675481" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1357344675482" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1357344675483" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675484" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675485" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675486" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1357344675487" name="TemporaryQueueNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675488" name="TemporaryTopicNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675489" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675490" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster"/>
            <configProperties xmi:id="ConfigProperty_1357344675491" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675492" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <authenticationMechanisms xmi:id="AuthenticationMechanism_1357344675436" authenticationMechanismType="BasicPassword" credentialInterface="javax.resource.spi.security.PasswordCredential"/>
        </outboundResourceAdapter>
        <inboundResourceAdapter xmi:id="InboundResourceAdapter_1357344675436">
          <messageAdapter xmi:id="MessageAdapter_1357344675436">
            <messageListeners xmi:id="MessageListener_1357344675436" messageListenerType="javax.jms.MessageListener">
              <activationSpec xmi:id="ActivationSpec_1357344675436" activationSpecClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaActivationSpecImpl">
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675436" name="destination"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675437" name="destinationType"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675438" name="busName"/>
              </activationSpec>
            </messageListeners>
          </messageAdapter>
        </inboundResourceAdapter>
        <adminObjects xmi:id="AdminObject_1357344675436" adminObjectInterface="javax.jms.Queue" adminObjectClass="com.ibm.ws.sib.api.jms.impl.JmsQueueImpl">
          <configProperties xmi:id="ConfigProperty_1357344675493" name="QueueName" type="java.lang.String"/>
          <configProperties xmi:id="ConfigProperty_1357344675494" name="DeliveryMode" type="java.lang.String" value="Application"/>
          <configProperties xmi:id="ConfigProperty_1357344675495" name="TimeToLive" type="java.lang.Long"/>
          <configProperties xmi:id="ConfigProperty_1357344675496" name="Priority" type="java.lang.Integer"/>
          <configProperties xmi:id="ConfigProperty_1357344675497" name="ReadAhead" type="java.lang.String" value="AsConnection"/>
          <configProperties xmi:id="ConfigProperty_1357344675498" name="BusName" type="java.lang.String"/>
        </adminObjects>
        <adminObjects xmi:id="AdminObject_1357344675437" adminObjectInterface="javax.jms.Topic" adminObjectClass="com.ibm.ws.sib.api.jms.impl.JmsTopicImpl">
          <configProperties xmi:id="ConfigProperty_1357344675499" name="TopicSpace" type="java.lang.String" value="Default.Topic.Space"/>
          <configProperties xmi:id="ConfigProperty_1357344675500" name="TopicName" type="java.lang.String"/>
          <configProperties xmi:id="ConfigProperty_1357344675501" name="DeliveryMode" type="java.lang.String" value="Application"/>
          <configProperties xmi:id="ConfigProperty_1357344675502" name="TimeToLive" type="java.lang.Long"/>
          <configProperties xmi:id="ConfigProperty_1357344675503" name="Priority" type="java.lang.Integer"/>
          <configProperties xmi:id="ConfigProperty_1357344675504" name="ReadAhead" type="java.lang.String" value="AsConnection"/>
          <configProperties xmi:id="ConfigProperty_1357344675505" name="BusName" type="java.lang.String"/>
        </adminObjects>
      </resourceAdapter>
    </deploymentDescriptor>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1357344675437" ConnectionDefinition="ConnectionDefinition_1357344675434">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675437" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675438" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675439" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675440" name="durableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675441" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675442" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675443" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675444" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675445" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675446" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675447" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675448" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675449" name="shareDurableSubscriptions" type="java.lang.String" value="AsCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675450" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675451" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675452" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675453" name="TemporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675454" name="temporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675455" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675456" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675457" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1357344675438" ConnectionDefinition="ConnectionDefinition_1357344675435">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675458" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675459" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675460" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675461" name="DurableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675462" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675463" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675464" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675465" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675466" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675467" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675468" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675469" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675470" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675471" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675472" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675473" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675474" name="temporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675475" name="TemporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675476" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675477" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675478" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1357344675439" ConnectionDefinition="ConnectionDefinition_1357344675436">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675479" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675480" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675481" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675482" name="DurableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675483" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675484" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675485" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675486" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675487" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675488" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675489" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675490" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675491" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675492" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675493" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675494" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675495" name="TemporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675496" name="TemporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675497" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675498" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675499" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <activationSpecTemplateProps xmi:id="ActivationSpecTemplateProps_1357344675439" activationSpec="ActivationSpec_1357344675436">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675500" name="acknowledgeMode" type="java.lang.String" value="Auto-acknowledge" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675501" name="alwaysActivateAllMDBs" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675502" name="AutoStopSequentialMessageFailure" type="java.lang.Integer" value="0" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675503" name="busName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675504" name="clientId" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675505" name="destination" type="javax.jms.Destination" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675506" name="destinationType" type="java.lang.String" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675507" name="durableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675508" name="failingMessageDelay" type="java.lang.Long" value="0" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675509" name="maxBatchSize" type="java.lang.Integer" value="1" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675510" name="maxConcurrency" type="java.lang.Integer" value="10" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675511" name="maxSequentialMessageFailure" type="java.lang.Integer" value="-1" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675512" name="messageSelector" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675513" name="password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675514" name="providerEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675515" name="readAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675516" name="retryInterval" type="java.lang.Integer" value="30" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675517" name="shareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675518" name="shareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675519" name="subscriptionDurability" type="java.lang.String" value="NonDurable" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675520" name="subscriptionName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675521" name="target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675522" name="targetSignificance" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675523" name="targetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675524" name="targetType" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675525" name="userName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675526" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675527" name="ForwarderDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675528" name="useServerSubject" type="java.lang.Boolean" required="false"/>
      <complexPropertySet xmi:id="J2EEResourcePropertySet_1357344675441">
        <resourceProperties xmi:id="J2EEResourceProperty_1357344675529" name="destination" type="javax.jms.Destination" required="false"/>
      </complexPropertySet>
    </activationSpecTemplateProps>
    <adminObjectTemplateProps xmi:id="AdminObjectTemplateProps_1357344675441" adminObject="AdminObject_1357344675436">
      <properties xmi:id="J2EEResourceProperty_1357344675530" name="BusName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675531" name="DeliveryMode" type="java.lang.String" value="Application" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675532" name="forwardRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675533" name="Priority" type="java.lang.Integer" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675534" name="QueueName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675535" name="ReadAhead" type="java.lang.String" value="AsConnection" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675536" name="reverseRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675537" name="TimeToLive" type="java.lang.Long" required="false"/>
    </adminObjectTemplateProps>
    <adminObjectTemplateProps xmi:id="AdminObjectTemplateProps_1357344675442" adminObject="AdminObject_1357344675437">
      <properties xmi:id="J2EEResourceProperty_1357344675538" name="BusName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675539" name="DeliveryMode" type="java.lang.String" value="Application" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675540" name="forwardRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675541" name="Priority" type="java.lang.Integer" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675542" name="ReadAhead" type="java.lang.String" value="AsConnection" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675543" name="reverseRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675544" name="TimeToLive" type="java.lang.Long" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675545" name="TopicName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675546" name="TopicSpace" type="java.lang.String" value="Default.Topic.Space" required="false"/>
    </adminObjectTemplateProps>
  </resources.j2c:J2CResourceAdapter>
  <resources.j2c:J2CResourceAdapter xmi:id="J2CResourceAdapter_1357344675518" name="WebSphere MQ Resource Adapter" description="WAS Built In WebSphere MQ Resource Adapter" isolatedClassLoader="false" archivePath="${WAS_INSTALL_ROOT}/installedConnectors/wmq.jmsra.rar" threadPoolAlias="WMQJCAResourceAdapter" singleton="false" hACapability="RA_NO_HA" isEnableHASupport="false">
    <classpath>${WAS_INSTALL_ROOT}/installedConnectors/wmq.jmsra.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_1357344675520">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675547" name="connectionConcurrency" type="int" value="1" description="connectionConcurrency" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675548" name="maxConnections" type="int" value="50" description="maxConnections" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675549" name="logWriterEnabled" type="boolean" value="true" description="logWriterEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675550" name="reconnectionRetryCount" type="int" value="5" description="reconnectionRetryCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675551" name="reconnectionRetryInterval" type="int" value="300000" description="reconnectionRetryInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675552" name="startupRetryCount" type="int" value="0" description="startupRetryCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675553" name="startupRetryInterval" type="int" value="30000" description="startupRetryInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675554" name="traceEnabled" type="boolean" value="false" description="traceEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675555" name="traceLevel" type="int" value="3" description="traceLevel" required="false"/>
    </propertySet>
    <deploymentDescriptor xmi:id="Connector_1357344675520" displayName="WebSphere MQ Resource Adapter" vendorName="International Business Machines Corporation (&quot;IBM&quot;)." specVersion="1.5" eisType="Java Message Service" version="7.1.0.0-k000-L111005.1">
      <displayNames xmi:id="DisplayName_1357344675520" value="WebSphere MQ Resource Adapter"/>
      <license xmi:id="License_1357344675520" required="true">
        <descriptions xmi:id="Description_1357344675520" value="&#xA;&#x9;&#x9;&#x9;This software is licenced under the IBM International&#xA;&#x9;&#x9;&#x9;Program License Agreement (&quot;IPLA&quot;). For licence information,&#xA;&#x9;&#x9;&#x9;see the WebSphere MQ Licence Information (&quot;LI&quot;) available at&#xA;&#x9;&#x9;&#x9;http://www.ibm.com/software/sla/. The LI may also be found&#xA;&#x9;&#x9;&#x9;in a file in the WebSphere MQ installation directory.&#xA;&#x9;&#x9;"/>
      </license>
      <resourceAdapter xmi:id="ResourceAdapter_1357344675520" transactionSupport="XATransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.mq.connector.ResourceAdapterImpl">
        <securityPermissions xmi:id="SecurityPermission_1357344675520" description="Security Permissions for the JMS client" specification="&#xA;&#x9;&#x9;&#x9;&#x9;grant { &#xA;&#x9;&#x9;&#x9;&#x9;&#x9;permission java.security.AllPermission; &#xA;&#x9;&#x9;&#x9;&#x9;};&#xA;&#x9;&#x9;&#x9;"/>
        <configProperties xmi:id="ConfigProperty_1357344675520" description="connectionConcurrency" name="connectionConcurrency" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675521" description="maxConnections" name="maxConnections" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675522" description="logWriterEnabled" name="logWriterEnabled" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675523" description="reconnectionRetryCount" name="reconnectionRetryCount" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675524" description="reconnectionRetryInterval" name="reconnectionRetryInterval" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675525" description="startupRetryCount" name="startupRetryCount" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675526" description="startupRetryInterval" name="startupRetryInterval" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675527" description="traceEnabled" name="traceEnabled" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675528" description="traceLevel" name="traceLevel" type="java.lang.String"/>
        <inboundResourceAdapter xmi:id="InboundResourceAdapter_1357344675520">
          <messageAdapter xmi:id="MessageAdapter_1357344675520">
            <messageListeners xmi:id="MessageListener_1357344675520" messageListenerType="javax.jms.MessageListener">
              <activationSpec xmi:id="ActivationSpec_1357344675520" activationSpecClass="com.ibm.mq.connector.inbound.ActivationSpecImpl">
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675520" name="destination"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675521" name="destinationType"/>
              </activationSpec>
            </messageListeners>
          </messageAdapter>
        </inboundResourceAdapter>
      </resourceAdapter>
    </deploymentDescriptor>
    <activationSpecTemplateProps xmi:id="ActivationSpecTemplateProps_1357344675520" activationSpec="ActivationSpec_1357344675520">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675556" name="CCSID" type="int" value="819" description="CCSID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675557" name="acknowledgeMode" type="int" value="1" description="acknowledgeMode" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675558" name="arbitraryProperties" type="java.lang.String" description="arbitraryProperties" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675559" name="brokerCCDurSubQueue" type="java.lang.String" value="SYSTEM.JMS.D.CC.SUBSCRIBER.QUEUE" description="brokerCCDurSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675560" name="brokerCCSubQueue" type="java.lang.String" value="SYSTEM.JMS.ND.CC.SUBSCRIBER.QUEUE" description="brokerCCSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675561" name="brokerControlQueue" type="java.lang.String" value="SYSTEM.BROKER.CONTROL.QUEUE" description="brokerControlQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675562" name="brokerPubQueue" type="java.lang.String" value="SYSTEM.BROKER.DEFAULT.STREAM" description="brokerPubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675563" name="brokerQueueManager" type="java.lang.String" description="brokerQueueManager" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675564" name="brokerSubQueue" type="java.lang.String" value="SYSTEM.JMS.ND.SUBSCRIBER.QUEUE" description="brokerSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675565" name="brokerVersion" type="java.lang.String" value="1" description="brokerVersion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675566" name="ccdtURL" type="java.lang.String" description="ccdtURL" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675567" name="channel" type="java.lang.String" value="SYSTEM.DEF.SVRCONN" description="channel" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675568" name="cleanupInterval" type="long" value="3600000" description="cleanupInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675569" name="cleanupLevel" type="java.lang.String" value="SAFE" description="cleanupLevel" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675570" name="clientID" type="java.lang.String" description="clientID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675571" name="clientId" type="java.lang.String" description="clientId" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675572" name="cloneSupport" type="java.lang.String" value="DISABLED" description="cloneSupport" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675573" name="connectionNameList" type="java.lang.String" value="localhost(1414)" description="connectionNameList" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675574" name="destination" type="java.lang.String" value="SYSTEM.DEFAULT.LOCAL.QUEUE" description="destination" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675575" name="destinationType" type="java.lang.String" value="javax.jms.Queue" description="destinationType" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675576" name="failIfQuiesce" type="boolean" value="true" description="failIfQuiesce" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675577" name="headerCompression" type="java.lang.String" value="NONE" description="headerCompression" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675578" name="hostName" type="java.lang.String" value="localhost" description="hostName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675579" name="localAddress" type="java.lang.String" description="localAddress" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675580" name="maxMessages" type="int" value="1" description="maxMessages" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675581" name="maxPoolDepth" type="int" value="10" description="maxPoolDepth" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675582" name="messageBatchSize" type="int" value="10" description="messageBatchSize" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675583" name="messageCompression" type="java.lang.String" value="NONE" description="messageCompression" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675584" name="messageRetention" type="java.lang.String" value="YES" description="messageRetention" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675585" name="messageSelection" type="java.lang.String" value="CLIENT" description="messageSelection" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675586" name="messageSelector" type="java.lang.String" description="messageSelector" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675587" name="nonASFRollbackEnabled" type="boolean" value="false" description="nonASFRollbackEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675588" name="nonASFTimeout" type="int" value="0" description="nonASFTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675589" name="password" type="java.lang.String" description="password" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675590" name="pollingInterval" type="int" value="5000" description="pollingInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675591" name="poolTimeout" type="int" value="300000" description="poolTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675592" name="port" type="int" value="1414" description="port" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675593" name="providerVersion" type="java.lang.String" value="UNSPECIFIED" description="providerVersion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675594" name="queueManager" type="java.lang.String" description="queueManager" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675595" name="readAheadAllowed" type="java.lang.String" value="DESTINATION" description="readAheadAllowed" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675596" name="receiveCCSID" type="int" value="1208" description="receiveCCSID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675597" name="receiveConversion" type="java.lang.String" value="CLIENT_MSG" description="receiveConversion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675598" name="receiveExit" type="java.lang.String" description="receiveExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675599" name="receiveExitInit" type="java.lang.String" description="receiveExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675600" name="rescanInterval" type="int" value="5000" description="rescanInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675601" name="securityExit" type="java.lang.String" description="securityExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675602" name="securityExitInit" type="java.lang.String" description="securityExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675603" name="sendExit" type="java.lang.String" description="sendExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675604" name="sendExitInit" type="java.lang.String" description="sendExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675605" name="shareConvAllowed" type="java.lang.String" value="YES" description="shareConvAllowed" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675606" name="sparseSubscriptions" type="java.lang.String" value="FALSE" description="sparseSubscriptions" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675607" name="sslCertStores" type="java.lang.String" description="sslCertStores" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675608" name="sslCipherSuite" type="java.lang.String" description="sslCipherSuite" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675609" name="sslFipsRequired" type="boolean" value="false" description="sslFipsRequired" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675610" name="sslPeerName" type="java.lang.String" description="sslPeerName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675611" name="sslResetCount" type="int" value="0" description="sslResetCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675612" name="sslSocketFactory" type="java.lang.String" description="sslSocketFactory" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675613" name="startTimeout" type="int" value="10000" description="startTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675614" name="statusRefreshInterval" type="int" value="60000" description="statusRefreshInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675615" name="subscriptionDurability" type="java.lang.String" value="NonDurable" description="subscriptionDurability" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675616" name="subscriptionName" type="java.lang.String" description="subscriptionName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675617" name="subscriptionStore" type="java.lang.String" value="MIGRATE" description="subscriptionStore" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675618" name="transportType" type="java.lang.String" value="CLIENT" description="transportType" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675619" name="useJNDI" type="boolean" value="false" description="useJNDI" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675620" name="username" type="java.lang.String" description="username" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675621" name="wildcardFormat" type="java.lang.String" value="TOPIC" description="wildcardFormat" required="false"/>
    </activationSpecTemplateProps>
  </resources.j2c:J2CResourceAdapter>
</xmi:XMI>
